﻿/**Begin D:\PDM_UPGRADE\PDM1\MAL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_INSTOCKENTRY' AND KSQL_COL_NAME IN ('FAVAILABLEQTY')) 
 ALTER TABLE T_MAL_INSTOCKENTRY ADD (FAVAILABLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_INSTOCKENTRY' AND KSQL_COL_NAME IN ('FLOCKEDQTY')) 
 ALTER TABLE T_MAL_INSTOCKENTRY ADD (FLOCKEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_INVENTORY' AND KSQL_COL_NAME IN ('FCREATETIME')) 
 ALTER TABLE T_MAL_INVENTORY ADD (FCREATETIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_MAL_INVENTORY' AND KSQL_COL_NAME IN ('FCREATORID')) 
 ALTER TABLE T_MAL_INVENTORY ADD (FCREATORID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_MAL_INVENTORYLOG') 
 CREATE TABLE T_MAL_INVENTORYLOG (
FID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCURRENTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAVAILABLEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTITYBILLNO NVARCHAR(225) DEFAULT ' ' NOT NULL,
FOPERATIONNAME NVARCHAR(225) DEFAULT ' ' NOT NULL,
FENTITYNAME NVARCHAR(225) DEFAULT ' ' NOT NULL,
FLOCKEDQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSERVICETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FGOODSID BIGINT DEFAULT 0 NOT NULL,
FCHANGEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL
);



/**End D:\PDM_UPGRADE\PDM1\MAL_table.sql **/
